d/dcmtk.preinst: 'set -e' in the script instead of the shebang, fixes lintian's maint...
authorMattia Rizzolo <mattia@debian.org>
Sun, 8 May 2016 22:31:54 +0000 (22:31 +0000)
committerMattia Rizzolo <mattia@debian.org>
Sun, 8 May 2016 22:31:54 +0000 (22:31 +0000)
debian/changelog
debian/dcmtk.preinst

index a931642bb111830b48e06768cd887f96f8375993..83d02a11a44e66257dd31c713f5eb6dd95de766f 100644 (file)
@@ -13,6 +13,8 @@ dcmtk (3.6.1~20160216-1) UNRELEASED; urgency=medium
   [ Mattia Rizzolo ]
   * d/control: Use secure URIs (https) in Vcs-Git.
   * d/libdcmtk5.dirs: removed as useless.
+  * d/dcmtk.preinst: 'set -e' in the script instead of the shebang,
+    fixes lintian's maintainer-script-without-set-e
 
  -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 09 Apr 2016 12:23:46 +0000
 
index a30dfc5a1ed2166638e956886307bbdedc7e6e04..9f84376f65f05f29a7fb244f5710bf8122ee7fff 100644 (file)
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 # Prepare to handle imagectn -> dcmqrdb (3.5.3 -> 3.5.4) transition
 # without triggering a dpkg question